%global realname gen_leader
%global upstream abecciu
%global debug_package %{nil}
%global git_tag de57ba7
%global patchnumber 0


Name:		erlang-%{realname}
Version:	1.0
Release:	1%{?dist}
Summary:	A leader election behavior modeled after gen_server
Group:		Development/Libraries
License:	ERPL
URL:		https://github.com/abecciu/gen_leader_revival
# wget --no-check-certificate --content-disposition https://github.com/abecciu/gen_leader_revival/tarball/de57ba7
Source0:	%{upstream}-%{realname}_revival-%{git_tag}.tar.gz
Patch1:		erlang-gen_leader-0001-Use-lists-keysearch-3-instead-of-lists-keyfind-3.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-rebar
Requires:	erlang-erts >= R12B-5
Requires:	erlang-kernel >= R12B-5
Requires:	erlang-stdlib >= R12B-5


%description
This application implements a leader election behavior modeled after gen_server.
This behavior intends to make it reasonably straightforward to implement a fully
distributed server with master-slave semantics.


%prep
%setup -q -n %{upstream}-%{realname}_revival-%{git_tag}
%patch1 -p1


%build
rebar compile -v


%install
rm -rf $RPM_BUILD_ROOT
install -D -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -D -m 644 ebin/%{realname}.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.markdown examples/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam


%changelog
* Tue May 22 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.0-1
- Ver. 1.0

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct  4 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.2
- Added README file to suppress one rpmlint warning
- Ensured that package is built with debig info

* Thu Sep 30 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1
- Initial package

